#!BPY

"""
Name: 'SeparateFaceBox'
Blender: 233
Group: 'Mesh'
Tooltip: 'Make box'
"""

import math
import Blender 
from Blender import NMesh

###############################
#zadavani hodnot
###############################
vyska=		10			#delky
sirka=		10
hloubka=	10

svyska=		3			#pocet facu na delku
ssirka=		5
shloubka=	7
###############################

for i in range (0,25): print

pomerv=float(vyska)/svyska
pomers=float(sirka)/ssirka
pomerh=float(hloubka)/shloubka

me = NMesh.GetRaw() 

for i in range (0,svyska):
	for i2 in range (0,ssirka):
		v=NMesh.Vert(0.0,i2*pomers,i*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert(0.0,(i2+1)*pomers,i*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert(0.0,(i2+1)*pomers,(i+1)*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert(0.0,i2*pomers,(i+1)*pomerv) 
		me.verts.append(v)
for i in range (0,svyska):
	for i2 in range (0, ssirka):
		v=NMesh.Vert(hloubka,i2*pomers,i*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert(hloubka,(i2+1)*pomers,i*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert(hloubka,(i2+1)*pomers,(i+1)*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert(hloubka,i2*pomers,(i+1)*pomerv) 
		me.verts.append(v)

for i in range (0,ssirka):
	for i2 in range (0,shloubka):
		v=NMesh.Vert(i2*pomerh,i*pomers,0.0) 
		me.verts.append(v) 
		v=NMesh.Vert(i2*pomerh,(i+1)*pomers,0.0) 
		me.verts.append(v) 
		v=NMesh.Vert((i2+1)*pomerh,(i+1)*pomers,0.0) 
		me.verts.append(v) 
		v=NMesh.Vert((i2+1)*pomerh,i*pomers,0.0) 
		me.verts.append(v)
for i in range (0,ssirka):
	for i2 in range (0, shloubka):
		v=NMesh.Vert(i2*pomerh,i*pomers,vyska) 
		me.verts.append(v) 
		v=NMesh.Vert(i2*pomerh,(i+1)*pomers,vyska) 
		me.verts.append(v) 
		v=NMesh.Vert((i2+1)*pomerh,(i+1)*pomers,vyska) 
		me.verts.append(v) 
		v=NMesh.Vert((i2+1)*pomerh,i*pomers,vyska) 
		me.verts.append(v)

for i in range (0,svyska):
	for i2 in range (0, shloubka):
		v=NMesh.Vert(i2*pomerh,0.0,i*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert(i2*pomerh,0.0,(i+1)*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert((i2+1)*pomerh,0.0,(i+1)*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert((i2+1)*pomerh,0.0,i*pomerv) 
		me.verts.append(v)
for i in range (0,svyska):
	for i2 in range (0,shloubka):
		v=NMesh.Vert(i2*pomerh,sirka,i*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert(i2*pomerh,sirka,(i+1)*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert((i2+1)*pomerh,sirka,(i+1)*pomerv) 
		me.verts.append(v) 
		v=NMesh.Vert((i2+1)*pomerh,sirka,i*pomerv) 
		me.verts.append(v)


for i in range (0, ssirka*svyska*8+ssirka*shloubka*8+shloubka*svyska*8-3,4):
	f=NMesh.Face() 
	f.v.append(me.verts[i ]) 
	f.v.append(me.verts[i+1 ]) 
	f.v.append(me.verts[i+2 ]) 
	f.v.append(me.verts[i+3 ]) 
	me.faces.append(f) 

NMesh.PutRaw(me, "SeparateFaceBox", 1) 

Blender.Redraw() 


 